# Assignment 0 #

**Unless otherwise stated, your code must compile 
without errors or warnings on the GDC basement machines.** 
Your g++ version string (obtained by running `g++ --version`) should be 
`g++ (Ubuntu 7.4.0-1ubuntu1~18.04.1) 7.4.0` and you should use the flags
`-Wall -Werror` (which you will learn more about) in this assignment.

## Intro ##

This document is written in
[Markdown](https://guides.github.com/features/mastering-markdown/),
a markup language which is widely used across open-source projects as a way
to write documentation.

To complete the assignment, read, follow, and complete every Markdown
assignment in this tarball. Make sure you've
filled out every section marked by `<div class=answer>`--these will be
automatically extracted and presented to the instructor. **DO NOT DELETE ANY
OF THE DIV MARKERS, OR YOUR ANSWER MAY NOT BE SCORED**.

Below is an example of a question. You will automatically be given credit
for it if you do not change its contents.

* * * *

<div class=question>

**Question**: What is the speed of an unladen swallow?

</div>
<div class=answer>

**Answer**: African or European?

</div>

* * * *

If you don't like viewing this document in text form, you can render it with
a markdown renderer. There are approximately a billion different renderers out
there. Personally, I like using the one from VSCode or [grip](https://github.com/joeyespo/grip),
but you can choose whatever you like. Just remember that I will be grading
your (text) markdown files, not the rendered HTML.

Please note that if you are going to paste code snippets into these files, they
*must* be enclosed by code braces, like the next example:

```
  my compiler is
  angry at me once again
  time for some coffee
```

The use of other markdown features is complete optional.

## Overview ##

The goal of this assignment is to get you familiar with working with C++ files,
compilers, and editors. This assignment will involve passing flags to compilers
to change their behavior, viewing compiler outputs, and so on. As such, I
*highly recommend that you do the programming part of this assignment from the
command line* instead of relying on GUI editors or an IDE. Consult the [course
website](https://www.cs.utexas.edu/~theksong/teaching/cs105c/f2019/logistics/resources)
for resources on learning the command line.

## Submission ##

You will need to submit the following files:
```
├── assignment.md
├── problem0
│   ├── problem0.cpp
│   └── problem0.md
├── problem1
│   ├── problem1.cpp
│   └── problem1.md
└── problem2
    ├── file0.cpp
    ├── file1.cpp
    ├── file2.cpp
    └── problem2.md
```

You may not add or delete any files from this structure.

All markdown files will need to have their answer sections filled in, and all
C++ files will need to compile with no warnings or errors. If you want to check
that your submission at least meets some sanity thresholds, you can run the 
`sancheck.py` script that's given out along with the homework. For sancheck to
work correctly, you'll need to delete the `FIXME` tags once you finish each
question.

Once you are finished and are sure your answers are correct, tar up the directory
with `tar -czvf <eid>.tar.gz assignment0/` where `<eid>` is your EID, and submit
it to Canvas.
