# Program 1 #

Compile program 1. You should get a whole lot of errors and warnings--this is
expected. Errors with the C++ standard library are often verbose and involve
lots of angry-colored text. In reality, the errors are often fairly
minor and easy to fix, once you understand the mistake.

You need to identify and fix the error in `problem1.cpp`. Once you have done
this, and the program compiles with no warnings under `-Wall -Wextra`,
answer the following question:

## Question 1 ##
<div class=question><!-- P1, Q0 -->

**What was the error in program1.cpp? How did your change solve this error?**
</div>
<div class=answer>
<!-- FIXME: Your answer goes here-->
<!-- FIXME: Make sure program1 compiles with no warnings under -Wall -Wextra -->
</div>

Since this is a rather open-ended question, here are some hints to start you off:

- `std::find` takes a beginning and end, and an element to search for in that
  range. For example, if I had a vector of `int`s, and I wanted to know if there
  was a 2 in that vector, I would do `std::find(v.begin(), v.end(), 2)`.
  More information is available [online](https://www.geeksforgeeks.org/std-find-in-cpp/_)

- Remember that one of our principles is to ask what the types of things
  are. What line is the error coming from? What types are expected there? What
  types have actually been provided?

- The actual change needed is incredibly small. Knowing where to make it is the 
  key.

- Check the debugging guide on the course website.

